好!欢迎访问迷津渡口 现在时间是:

迷津渡口

越感到迷惑 越接近真理

Sublime Text无法使用Emmet插件一次性解决--PyV8手动安装

Emmet插件的安装很简单,不懂的看本站的插件安装教程~

但是无数人都反应安装完成后出现无法使用的问题,怎么破?!


首先你得确定你是不是在一个合适的文件下使用,没命名的文件可无法使用Emmet插件的Tab拓展功能!

你试试建一个test.html文件重新试试,不能用再继续看下去~


根据各位前辈总结,基本上都是PyV8库下载被墙出错,解决办法如下:

首先到下面相应的地址下载适合自己的PyV8的安装包:

百度云网盘高速下载

For Sublime Text 2 (Python 2.6):

For Sublime Text 3 (Python 3.3):

下载完成后解压,文件夹重命名去除前缀 pyv8-

将文件夹拷贝到 Installed Packages/PyV8/下面

如果没有PyV8文件夹,自己手动建立一个

例如小指用的是Linux x64 Sublime Text 3,解压后得到文件夹 pyv8-linux64-p3重命名为linux64-p3

文件夹里面有两个文件 _PyV8.cpython-33m.so 和 PyV8.py:

cp -r linux64-p3 ~/.config/sublime-text-3/Installed\ Packages/PyV8/

重启可以用了吧~

Installed Packages文件夹在哪里可能大家找不到,有简单方法:

  1. 点击 SublimeText菜单 Preferences -> Browse Packages... 

  2. 上一层就能找到 Installed Packages 文件夹

有任何问题欢迎留言~


点赞48
   支持一下
挤眼 亲亲 咆哮 开心 想想 可怜 糗大了 委屈 哈哈 小声点 右哼哼 左哼哼 疑问 坏笑 赚钱啦 悲伤 耍酷 勾引 厉害 握手 耶 嘻嘻 害羞 鼓掌 馋嘴 抓狂 抱抱 围观 威武 给力
 点赞
 签到
 表情
 图片
 代码
提交评论

清空信息
关闭评论
 00:00/00:00
我想和你虚度时光 - 花房姑娘(9)
  1. 恋恋风尘
  2. 恋恋风尘
  3. 恋恋风尘
  4. 恋恋风尘
  5. 恋恋风尘
  6. 恋恋风尘
  7. 恋恋风尘
  8. 恋恋风尘
  9. 恋恋风尘